Bug 849277 - diy cartridge app_ctl.sh script doesn't update .state
diy cartridge app_ctl.sh script doesn't update .state
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 19:42 EDT by Jhon Honce
Modified: 2015-05-14 18:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_2034
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2012-08-17 19:42:39 EDT
Description of problem:
diy cartridge app_ctl.sh script doesn't update .state

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. create diy cartridge
2. use git to push update to default application
3. 
  
Actual results:
~/app-root/runtime/.state is contains 'deploying' not 'started'

Expected results:
~/app-root/runtime/.state contains 'started'

Additional info:
app_ctl.sh needs to be updated to call set_app_state appropriately
Comment 1 Jhon Honce 2012-08-20 11:16:54 EDT
I used https://github.com/kagesenshi/plone-openshift-quickstart to verify, changes in app_ctl.sh

https://github.com/openshift/crankcase/pull/405
Comment 2 Jianwei Hou 2012-08-21 00:49:36 EDT
Verified on INT

Steps:
1. Create diy cartridge
2. Use git to push update to default application, ssh into application, check app-root/runtime/.state before, during and after git push

Result:
.state is updated at during application stop, build, deploy and start.
After git push, the .state contains 'started'

Note You need to log in before you can comment on or make changes to this bug.